SDL3_gfx 1.0.1 Graphics primitives and surface functions for SDL3

Data Fields
FPSmanager Struct Reference

Structure holding the state and timing information of the framerate controller. More...

`#include <SDL3_framerate.h>`

## Data Fields
Uint32 | framecount
float | rateticks
Uint64 | baseticks
Uint64 | lastticks
Uint32 | rate

## Detailed Description

Structure holding the state and timing information of the framerate controller.

Definition at line 62 of file SDL3_framerate.h.

## Field Documentation

## ◆ baseticks

Uint64 baseticks

Definition at line 65 of file SDL3_framerate.h.

## ◆ framecount

Uint32 framecount

Definition at line 63 of file SDL3_framerate.h.

## ◆ lastticks

Uint64 lastticks

Definition at line 66 of file SDL3_framerate.h.

## ◆ rate

Uint32 rate

Definition at line 67 of file SDL3_framerate.h.

## ◆ rateticks

float rateticks

Definition at line 64 of file SDL3_framerate.h.

The documentation for this struct was generated from the following file:

- SDL3_framerate.h